/* SIMulador Sistema PLAnetario, M.Alvarez 2018
 * Trabajo para el TFM
 * del Master de Astrofísica de la UAM
 * 
 * Copyright (c) 2018 Mariano Alvarez Fernandez (malfer@telefonica.net)
 *
 * This file is part of simspla
 *
 * simspla is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * simspla is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with rebound.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef _MYRTOOLS_H_
#define _MYRTOOLS_H_

/* funciones en myrtools.c */

void my_reb_output_timing(struct reb_simulation* r, const double tini, const double tmax);
double my_reb_tools_energy_a0(const struct reb_simulation* const r);

void calcula_dist(const struct reb_simulation* const r);
void calcula_hillr(const struct reb_simulation* const r);
void vaporiza_planeta(struct reb_simulation* r, int ip);

/* funciones en tides.c */

void additional_forces_tides1(struct reb_simulation* r);
void additional_forces_tides2(struct reb_simulation* r);
void additional_forces_tides3(struct reb_simulation* r);
void additional_forces_tides4(struct reb_simulation* r);
void additional_forces_tides5(struct reb_simulation* r);

#endif /* _MYRTOOLS_H_ */
